//
// Set to display the filenames in upper or lower case
//
*UPPERCASE OFF
//
// Default options for MS-DOS commands
//   /c = clear screen	/p = pause after command
//
//*CMD-DEFAULT	/c /p
//
// Set XLIST to go into idle mode (sleep) after 5 seconds, checking
// every 2000 milliseconds for user input. (OS/2 Version)
//
//*KEYWAIT   5
//*SLEEP     2500
//
// Directory Tree Options
//
//    TREE	Initial directory load at startup
//    TREESCAN	Preview entries
//    TREEDATE	Datestamp check the saved directory tree file
//
*TREE	     ON
*TREESCAN    OFF
*TREEDATE    OFF
//
// The default keyboard is STANDARD (PC-DOS Version)
//
//*KEYBOARD  ENHANCED
//
// The default menu is the LEFTSHIFT & RIGHTSHIFT
//
*HOTKEY    RIGHTSHIFT	LEFTSHIFT
//
// Disable mouse interface when set OFF.
//
*MOUSE	   ON
//
// When changing the attributes of a sub-directory, do you want to change
// all of the directories sub-directories?
//
*ALLATTR   ON
//
// Sort the directories as a default by extension.
//
//*SORT      T
//
// When using PC-DOS, shrink XLIST to 300 bytes by paging XLIST.EXE out to disk
// pointed to by the TMP= environment parameter, EMS, XMS or extended memory.
// The default is to use the most efficent method to swap the program to;
// EMS memory or disk.	Add any combination of the following parameters after
// the "ON" separated by blanks.
//
//	SWAP_ANY --- Best method
//	SWAP_EMS --- EMS memory
//	SWAP_DISK -- disk file located using the TMP= environ.					 parameter
//
//*OVERLAY   OFF  SWAP_ANY
//
// Turn the copyright statement ON or OFF the initial screen.
//
*LOGO	   OFF
//
// Size of the area to store previously entered directories.
//
*PATHSZ    200
//
// Logical command separator character.
//
*LINEEND   ~
//
// Number of directory entries (Maximum: 5900)
//
*ENTRIES   3000
//
// Reload the function keys from XLIST.PRO when found in a directory.
// Maybe used to have different function keys per directory.
//
*PFREF	   OFF
//
// Suppress SNOW on screen for CGA monitors by setting the RETRACE to ON.
//
*RETRACE   OFF
//
// Available modes for EGA/VGA display adapters using the Alt-e keystroke
// where three (2) parameters are passed separated by a comma.	The first
// parameter is the menu title & second is the font file. (Note: The entries
// are disabled and not active.
//
//*VGAMODE   "  30-Line Mode ", "xli30s.fnt"
//*VGAMODE   "  33-Line Mode ", "xli33s.fnt"
//*VGAMODE   "  36-Line Mode ", "xli36s.fnt"
//*VGAMODE   "  44-Line Mode ", "xli44s.fnt"
//*VGAMODE   "  50-Line Mode ", "xli50s.fnt"
//*VGAMODE   "  25-Line Mode ", "xli25s.fnt"
//
//*VGAMODE   "  Swiss1 Font  ", "xliswi.fnt"
//*VGAMODE   "  Swiss2 Font  ", "xliswid.fnt"
//*VGAMODE   "  Modern Font  ", "xlimode.fnt"
//*VGAMODE   "  Modern2 Font ", "xlimoder.fnt"
//*VGAMODE   "  Muchery1     ", "xlimuch.fnt"
//*VGAMODE   "  Muchery2     ", "xlimuchl.fnt"
//*VGAMODE   "  Roman1 Font  ", "xlirom.fnt"
//*VGAMODE   "  Roman2 Font  ", "xliromo.fnt"
//*VGAMODE   "  Roman Large  ", "xliroml.fnt"
//*VGAMODE   "  Tektite Font ", "xlitekt.fnt"
//*VGAMODE   "  Scrawl Font  ", "xliscra.fnt"
//*VGAMODE   "  Clouds Font  ", "xliclou.fnt"
//*VGAMODE   "  Blocks Font  ", "xliblks.fnt"
//
// Don't even try to check for TOPVIEW when set OFF.  Some video drivers will
// lockup if we try to check, such as the VIDEO7 drivers.
//
//*TOPVIEW   OFF
//
// Amount of memory to use for COPY command buffers. (Max: 65,535)
//
*BUFSIZE   60000
//
// Use the PC-DOS commands when disabled from XLIST
//
*DISABLE   RMDIR
*DISABLE   MKDIR
*DISABLE   DEL
//
// Set the function keys for the F1 thru F10 function keys
//
*PFKEYS  1 (tst) /c/oECHO XLIST Test of Macros ~/oECHO ~ECHO PATH= $P~/oECHO DOLLAR= $$~ECHO NAME= $N~ECHO EXT= $E~ECHO PATH+NAME= $F~ECHO FILENAME= $~ECHO DRIVE= $D~ECHO PATH= $P\$~ECHO TAGGED= $T~ECHO ARCHIVE= $A/p
*PFKEYS  2 (ked) KEDIT $F
*PFKEYS  3 (lst) LIST $F
*PFKEYS  4 (/sd) /SD
*PFKEYS  5 (tre) /TREE
*PFKEYS  6 (nxt) /+1
*PFKEYS  7 (pre) /-1
*PFKEYS  8 (exe) /EXE
*PFKEYS  9 (bak) /BD
*PFKEYS  10 (can) /CAN
//
// Set the function keys for the Shift-F1 thru Shift-F10 function keys
//
*PFKEYS S1 (SHF) /o/c/pECHO SHIFT FUNCTION KEYS
*PFKEYS S2 (KED) X $F
*PFKEYS S3 (LIS) LIST $F
*PFKEYS S4 (NCD) NCD /O
*PFKEYS S5 (ARC) /EXP
*PFKEYS S6 (DSP) /DSPF
*PFKEYS S7 (/BD) /BD
*PFKEYS S8 (LOC) /FIND
*PFKEYS S9 (EXE) /EXE
*PFKEYS S10 (CAN) /CAN
//
// Set the function keys for the Alt-F1 thru Alt-F10 function keys
//
*PFKEYS A1 (ALT) /o/c/pECHO ALT FUNCTION KEYS
*PFKEYS A2 (KED) X $F
*PFKEYS A3 (LIS) LIST $F
*PFKEYS A4 (LOC) /FIND
*PFKEYS A5 (DOS) DOS
*PFKEYS A6 (DSP) /DSPF
*PFKEYS A7 (LOC) /FIND
*PFKEYS A8 (EXE) /EXE
*PFKEYS A9 (XCO) /FIND=XCOPY.EXE
*PFKEYS A10 (PRO) /o/cX \XLIST\XLIST.PRO
//
// Set the function keys for the CNTL-F1 thru CNTL-F10 function keys
//
*PFKEYS C1 (CNT) /o/c/pECHO CNTL FUNCTION KEYS
*PFKEYS C2 (KED) X $F
*PFKEYS C3 (LIS) LIST $F
*PFKEYS C4 (LOC) /FIND
*PFKEYS C5 (DOS) DOS
*PFKEYS C6 (DSP) /DSPF
*PFKEYS C7 (END) /END
*PFKEYS C8 (LOC) /FIND
*PFKEYS C9 (BAC) /BD
*PFKEYS C10 (CAN) /CAN
//
// Set what to execute when <ENTER> based on different file extensions
//
*EXECUTE *.ZOO	    /ZOO
*EXECUTE *.ZIP	    /ZIP
*EXECUTE *.LZH	    /LZH
*EXECUTE *.ARC	    /ARC
*EXECUTE *.PAK	    /ARC
*EXECUTE *.CMD	    /EXE
*EXECUTE *.BAT	    /EXE
*EXECUTE *.EXE	    /EXE
*EXECUTE *.COM	    /EXE
*EXECUTE *.*	    list $F
//
*EXECUTE-ZIP *.*    /cpkunzip -o $S $A %TMP% $F~list %TMP%$~ERASE %TMP%$
//
*EXECUTE-LZH *.*    /c%TMPDRV%~LHA e $A $F~list $~ERASE $~/reset
//
*EXECUTE-ZOO *.*    /c%TMPDRV%~ZOO x $A $F~list $~ERASE $~/reset
//
*EXECUTE-ARC *.*    /cPKXARC -r $A %TMP% $F~list %TMP%$~ERASE %TMP%$
//
// Set the function keys for the F1 thru F10 function keys (for .ZOO directories)
//
*PFKEYS-ZOO 1 (TST) /c/oECHO XLIST Test of Macros ~/oECHO ~ECHO PATH= $P~/oECHO DOLLAR= $$~ECHO NAME= $N~ECHO EXT= $E~ECHO PATH+NAME= $F~ECHO FILENAME= $~ECHO DRIVE= $D~ECHO PATH= $P\$~ECHO TAGGED= $T~ECHO ARCHIVE= $A/p
*PFKEYS-ZOO 2 (KED) /c%TMPDRV%~ZOO x $A $F~X $~ZOO u $A $~ERASE $~/reset
*PFKEYS-ZOO 3 (LIS) /c%TMPDRV%~ZOO x $A $F~list $~ERASE $~/reset
*PFKEYS-ZOO 4 (DEL) /cZOO D $A $F
*PFKEYS-ZOO 5 (EXT) /c/pZOO x $A $F
*PFKEYS-ZOO 6 (VIE) /cZOO v $A $F~/p/o
*PFKEYS-ZOO 7 (PRT) /c%TMPDRV%~ZOO x $A $F~copy $ lpt1~ERASE $~/reset
*PFKEYS-ZOO 8 (TRE) /TREE
*PFKEYS-ZOO 9 (BAC) /BD
*PFKEYS-ZOO 10 (CAN) /CAN
//
// Set the function keys for the F1 thru F10 function keys (for .ZIP directories)
//
*PFKEYS-ZIP 1 (TST) /c/oECHO XLIST Test of Macros ~/oECHO ~ECHO PATH= $P~/oECHO DOLLAR= $$~ECHO NAME= $N~ECHO EXT= $E~ECHO PATH+NAME= $F~ECHO FILENAME= $~ECHO DRIVE= $D~ECHO PATH= $P\$~ECHO TAGGED= $T~ECHO ARCHIVE= $A/p
*PFKEYS-ZIP 2 (KED) /CPKUNZIP $s -o $A %TMP% $F~X %TMP%$~PKZIP -U $s $A %TMP%$~ERASE %TMP%$
*PFKEYS-ZIP 3 (LIS) /cPKUNZIP $s -o $A %TMP% $F~LIST %TMP%$~ERASE %TMP%$
*PFKEYS-ZIP 4 (DEL) /CPKZIP -D $A $
*PFKEYS-ZIP 5 (EXT) /CPKUNZIP $s -o $A $
*PFKEYS-ZIP 6 (VIE) /CPKUNZIP $s -cm $A $~/p/o
*PFKEYS-ZIP 7 (PRT) /CPKUNZIP $s -P $A $
*PFKEYS-ZIP 8 (EXE) /EXE
*PFKEYS-ZIP 9 (BAC) /BD
*PFKEYS-ZIP 10 (CAN) /CAN
//
// Set the function keys for the F1 thru F10 function keys (for .ARC directories)
//
*PFKEYS-ARC 1 (TST) /c/oECHO XLIST Test of Macros ~/oECHO ~ECHO PATH= $P~/oECHO DOLLAR= $$~ECHO NAME= $N~ECHO EXT= $E~ECHO PATH+NAME= $F~ECHO FILENAME= $~ECHO DRIVE= $D~ECHO PATH= $P\$~ECHO TAGGED= $T~ECHO ARCHIVE= $A/p
*PFKEYS-ARC 2 (KED) /CPKXARC -R $A %TMP% $F~X %TMP%$~PKARC U $A %TMP%$~ERASE %TMP%$
*PFKEYS-ARC 3 (LIS) /cPKXARC -R $A %TMP% $F~LIST %TMP%$~ERASE %TMP%$
*PFKEYS-ARC 4 (DEL) /CPKARC D $A $
*PFKEYS-ARC 5 (EXT) /CPKXARC -R $A $
*PFKEYS-ARC 6 (VIE) /CPKXARC -C $A $~/p/o
*PFKEYS-ARC 7 (PRT) /CPKXARC -P $A $
*PFKEYS-ARC 8 (EXE) /EXE
*PFKEYS-ARC 9 (BAC) /BD
*PFKEYS-ARC 10 (CAN) /CAN
//
// Set the function keys for the F1 thru F10 function keys (for .LZH directories)
//
*PFKEYS-LZH 1 (TST) /c/oECHO XLIST Test of Macros ~/oECHO ~ECHO PATH= $P~/oECHO DOLLAR= $$~ECHO NAME= $N~ECHO EXT= $E~ECHO PATH+NAME= $F~ECHO FILENAME= $~ECHO DRIVE= $D~ECHO PATH= $P\$~ECHO TAGGED= $T~ECHO ARCHIVE= $A/p
*PFKEYS-LZH 2 (KED) /c%TMPDRV%~LHA e $A $F~X $~LHA u $A $~ERASE $~/reset
*PFKEYS-LZH 3 (LIS) /c%TMPDRV%~LHA e $A $F~list $~ERASE $~/reset
*PFKEYS-LZH 4 (DEL) /cLHA d $A $F
*PFKEYS-LZH 5 (EXT) /c/pLHA e $A $F
*PFKEYS-LZH 6 (VIE) /cLHA p $A $F~/p/o
*PFKEYS-LZH 7 (PRT) /c%TMPDRV%~LHA e $A $F~copy $ lpt1~ERASE $~/reset
*PFKEYS-LZH 8 (TRE) /TREE
*PFKEYS-LZH 9 (BAC) /BD
*PFKEYS-LZH 10 (CAN) /CAN
